<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Vengeance of Vampirella</Series>
  <Number>20</Number>
  <Web>https://www.comixology.com/Vengeance-of-Vampirella-20/digital-comic/938980</Web>
  <Summary>Issue #20! Writer Tom Sniegoski continues to weave a post-apocalyptic tale featuring a literal hell on earth as a reborn vampirella fights against the literal forces of chaos to save humanity from its ultimate destruction!  

The war between Order and Chaos has come to an end, and as the dust settles, humanity begins the process of rising from the ashes. Vampirella, forever changed, must begin a journey across the barren landscape of a world ravaged by the supernatural…

But is it too late for her to regain her lost humanity?</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB938980], [ASINB092RCYTLH]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Horror, Fantasy, Leading Ladies</Genre>
  <PageCount>30</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
